!++
! DESCRIP.MMS
!
!   MMS description file for building NEWSRDR and associated files.
!
!   COPYRIGHT  1994, MADGOAT SOFTWARE.  ALL RIGHTS RESERVED.
!--

.IFDEF __MADGOAT_BUILD__
MG_FACILITY 	= NEWSRDR
KITNAME	    	= $(MG_FACILITY).ZIP
PRIMARY_TARGET	= ALL
.INCLUDE MG_TOOLS:HEADER.MMS
.ELSE
ETCDIR =
KITDIR =
SRCDIR = SYS$DISK:[]
BINDIR =
.ENDIF

.IFDEF __MMK_V32__

.IFDEF __AXP__
ARCH = AXP
OPT = .ALPHA_OPT
.ELSE
ARCH = VAX
OPT = .OPT
.ENDIF

.IFDEF __MADGOAT_BUILD__
.ELSE
BINDIR = SYS$DISK:[.BIN-$(ARCH)]

.FIRST
    @ IF F$PARSE("$(BINDIR)") .EQS. "" THEN CREATE/DIR $(BINDIR)
    @ DEFINE/NOLOG BIN_DIR $(BINDIR)

{}.C{$(BINDIR)}.OBJ :
{}.MSG{$(BINDIR)}.OBJ :
{}.CLD{$(BINDIR)}.OBJ :
{}.MAR{$(BINDIR)}.OBJ :
.ENDIF

.ELSE

.IFDEF __AXP__
OPT = .ALPHA_OPT
.ELSE
OPT = .OPT
.ENDIF

.ENDIF  ! not MMK V3.2 or later

.IFDEF __AXP__
TIE = /TIE
NTVONLY = /NONATIVE_ONLY
.ELSE
TIE = 
NTVONLY =
.ENDIF

.ifdef LIS
MLIST = $(LIS)
.else
MLIST = /LIST=NL:/SHOW=EXPAN
.endif

.ifdef DBG
OPTIM =     /NOOPTIMIZE
.endif

.ifdef DEFINE
DEF = /DEFINE=$(DEFINE)
.endif

ZIP = PKZIP

CFLAGS = /OBJ=$(MMS$TARGET)/NOLIST$(TIE)$(LIS)$(DBG)$(OPTIM)$(DEF)
LINKFLAGS = /EXE=$(MMS$TARGET)/NOTRACE$(NTVONLY)/NOMAP$(MAP)$(DBG)
MFLAGS = /OBJ=$(MMS$TARGET)$(MLIST)

MODULES = NEWSRDR,CMD_READ,CMD_POST,ARTICLE,PARSING,MISC,MEM,FILEIO,-
    	    CMD_PRINT,CMD_SETSHO,PAGER,GROUPS,CMD_DIRECTORY,CMD_MISC,MAIL,-
    	    PARSE822,PARSE822_TABLES,PROFILE,NEWSRC,NEWGROUPS,PARSE_TABLES,-
    	    CMD_TABLE,NEWSRDR_CLD,NEWS_MSG,HANDLER

ALL : $(BINDIR)NEWSRDR.EXE,$(BINDIR)NEWSRDR-N.EXE,-
      $(KITDIR)NEWSRDR_HELP.HLB(HELP=$(KITDIR)NEWSRDR_HELP.HLP),-
      $(BINDIR)KANJI_CONVERSION.OBJ,$(BINDIR)NAME_CONVERSION.OBJ, AXPSTUFF
    @ !

.IFDEF __AXP__
AXPSTUFF : $(BINDIR)SERVER_SOCKET_UCX.OBJ
    @ !
.ELSE
AXPSTUFF :
    @ !
.ENDIF

$(BINDIR)NEWSRDR.EXE : $(BINDIR)NEWSRDR.OLB($(MODULES)),$(BINDIR)SERVER_SOCKET.OBJ,NEWSRDR$(OPT)
    $(LIBR)/COMPRESS/OUTPUT=$(BINDIR)NEWSRDR.OLB $(BINDIR)NEWSRDR.OLB
    $(LINK)$(LINKFLAGS) $(BINDIR)NEWSRDR.OLB/INCLUDE=NEWSRDR/LIB,-
    	    $(BINDIR)SERVER_SOCKET.OBJ,$(SRCDIR)NEWSRDR$(OPT)/OPT

$(BINDIR)NEWSRDR-N.EXE : $(BINDIR)NEWSRDR.OLB($(MODULES)),$(BINDIR)SERVER_NETLIB.OBJ,NEWSRDR-N$(OPT)
    $(LINK)$(LINKFLAGS) $(BINDIR)NEWSRDR.OLB/INCLUDE=NEWSRDR/LIB,$(BINDIR)SERVER_NETLIB.OBJ,-
    	$(SRCDIR)NEWSRDR-N$(OPT)/OPT


$(BINDIR)CMD_READ.OBJ,$(BINDIR)CMD_POST.OBJ,$(BINDIR)ARTICLE.OBJ,$(BINDIR)MISC.OBJ,-
    $(BINDIR)CMD_PRINT.OBJ,$(BINDIR)CMD_SETSHO.OBJ,$(BINDIR)GROUPS.OBJ,$(BINDIR)NEWGROUPS.OBJ,-
    $(BINDIR)CMD_DIRECTORY.OBJ,$(BINDIR)CMD_MISC.OBJ,$(BINDIR)MAIL.OBJ,-
    $(BINDIR)PROFILE.OBJ,$(BINDIR)NEWSRC.OBJ : NEWSRDR.H,GLOBALS.H

$(BINDIR)PARSING.OBJ,$(BINDIR)PARSE822.OBJ : NEWSRDR.H,TPADEF.H

$(BINDIR)FILEIO.OBJ,$(BINDIR)MEM.OBJ,$(BINDIR)NEWSRDR.OBJ,$(BINDIR)SERVER_NETLIB.OBJ,-
    $(BINDIR)PAGER.OBJ,$(BINDIR)HANDLER.OBJ : NEWSRDR.H

NEWSRDR.H : NEWS_MSG.H
    SET FILE/TRUNCATE $(MMS$TARGET)

.IFDEF GENMSG
NEWS_MSG.H : NEWS_MSG.MSG
    @ GENMSG := $(GENMSG)
    GENMSG $(MMS$SOURCE) $(MMS$TARGET)
.ENDIF

$(BINDIR)KANJI_CONVERSION.OBJ : KANJI_CONVERSION.C
$(BINDIR)SERVER_SOCKET.OBJ : SERVER_SOCKET.C
    $(CC)$(CFLAGS)/DEFINE=(MULTINET,MULTINET_OLD_STYLE) $(MMS$SOURCE)
.IFDEF __AXP__
$(BINDIR)SERVER_SOCKET_UCX.OBJ : SERVER_SOCKET.C
    $(CC)$(CFLAGS)/PREFIX=ALL $(MMS$SOURCE)
.ENDIF


$(KITDIR)NEWSRDR_DOC.PS : NEWSRDR_DOC.SDML
    DOC/CONT/NOPRINT/DEVICE=BLANK_PAGES/OUTPUT=$(MMS$TARGET)-
    	 NEWSRDR_DOC.SDML SOFTWARE.REFERENCE PS
$(KITDIR)NEWSRDR_DOC.TXT : NEWSRDR_DOC.SDML
    DOC/CONT/NOPRINT/OUTPUT=$(MMS$TARGET) NEWSRDR_DOC.SDML SOFTWARE.REFERENCE MAIL
$(KITDIR)NEWSRDR_DOC.DECW$BOOK : NEWSRDR_DOC.SDML
    DOC/CONT/NOPRINT/OUTPUT=$(MMS$TARGET) $(MMS$SOURCE) SOFTWARE.ONLINE BOOKR

$(KITDIR)NEWSRDR_INST.PS : NEWSRDR_INST.SDML
    DOC/CONT/NOPRINT/OUTPUT=$(MMS$TARGET)/DEVICE=BLANK_PAGES-
    	 NEWSRDR_INST.SDML SOFTWARE.REFERENCE PS
$(KITDIR)NEWSRDR_INST.TXT : NEWSRDR_INST.SDML
    DOC/CONT/NOPRINT/OUTPUT=$(MMS$TARGET) NEWSRDR_INST.SDML SOFTWARE.REFERENCE MAIL
$(KITDIR)NEWSRDR_INST.DECW$BOOK : NEWSRDR_INST.SDML
    DOC/CONT/NOPRINT/OUTPUT=$(MMS$TARGET) $(MMS$SOURCE) SOFTWARE.ONLINE BOOKR

DIST_TOP : AAAREADME.DOC,AAAREADME.TOO,LINK.COM,NEWSRDR_STARTUP.COM,-
    	   NEWSRDR_LOGIN.COM,$(KITDIR)NEWSRDR_HELP.HLB,-
    	   MG_KIT:[NETLIB]NETLIB020.ZIP
    $(LIBR)/COMPRESS/OUTPUT=$(KITDIR)NEWSRDR_HELP.HLB $(KITDIR)NEWSRDR_HELP.HLB
    PURGE $(MMS$SOURCE_LIST)
    BACKUP $(MMS$SOURCE_LIST) DIST_ROOT:[DIST]*.*/OWNER=PARENT

DIST_VAX : $(BINVAX)NEWSRDR.OLB,$(BINVAX)SERVER_SOCKET.OBJ,-
           $(BINVAX)SERVER_NETLIB.OBJ,$(BINVAX)KANJI_CONVERSION.OBJ,-
    	   $(BINVAX)NAME_CONVERSION.OBJ
    BACKUP $(MMS$SOURCE_LIST) DIST_ROOT:[DIST.BIN-VAX]*.*/OWNER=PARENT

DIST_AXP : $(BINAXP)NEWSRDR.OLB,$(BINAXP)SERVER_SOCKET.OBJ,-
    	   $(BINAXP)SERVER_SOCKET_UCX.OBJ,$(BINAXP)SERVER_NETLIB.OBJ,-
    	   $(BINAXP)KANJI_CONVERSION.OBJ,$(BINAXP)NAME_CONVERSION.OBJ
    BACKUP $(MMS$SOURCE_LIST) DIST_ROOT:[DIST.BIN-AXP]*.*/OWNER=PARENT

DIST_DOC : NEWSRDR.DECW$BOOKSHELF,LIBRARY.DECW$BOOKSHELF,BOOKREADER_SETUP.TXT,-
    	   $(KITDIR)NEWSRDR_DOC.PS,$(KITDIR)NEWSRDR_DOC.TXT,-
    	   $(KITDIR)NEWSRDR_DOC.DECW$BOOK,$(KITDIR)NEWSRDR_INST.DECW$BOOK,-
    	   $(KITDIR)NEWSRDR_INST.PS,$(KITDIR)NEWSRDR_INST.TXT
    PURGE $(MMS$SOURCE_LIST)
    BACKUP $(MMS$SOURCE_LIST) DIST_ROOT:[DIST.DOC]*.*/OWNER=PARENT

SOURCE : ADDRESS_CONVERSION.C,NEWSRDR.C,PARSING.C,PROFILE.C,GROUPS.C,-
    	ARTICLE.C,PAGER.C,CMD_MISC.C,CMD_READ.C,CMD_SETSHO.C,CMD_PRINT.C,-
    	CMD_DIRECTORY.C,CMD_POST.C,MAIL.C,MISC.C,NEWSRC.C,FILEIO.C,NEWSRDR_CLD.CLD,-
    	MEM.C,CMD_TABLE.CLD,NEWS_MSG.MSG,NEWSRDR.H,PARSE_TABLES.MAR,NEWSRDR_HELP.RNH,-
    	NEWGROUPS.C,PARSE822.C,PARSE822_TABLES.MAR,NEWS_MSG.H,HANDLER.C,-
    	NEWSRDR_DOC.SDML,DESCRIP.MMS,GLOBALS.H,TPADEF.H,-
    	NEWSRDR.OPT,NEWSRDR.ALPHA_OPT,SERVER_NETLIB.C,-
    	KANJI_CONVERSION.C,NAME_CONVERSION.C,SERVER_SOCKET.C,NEWSRDR_INST.SDML,-
    	COMPILE.COM
    PURGE $(MMS$SOURCE_LIST)
    BACKUP $(MMS$SOURCE_LIST) DIST_ROOT:[DIST.SOURCE]/OWNER=PARENT
